{% if qr_finished and qr_status != 'error' %}
    {% if status == 'error' %}
    <div class="d-flex vstack gap-3">
        <p class="text-danger">{{ error }}</p>
    </div>
    {% elif status == 'complete' %}
    <div class="d-flex vstack gap-3">
        <p>
            Image pushed
            <i class="bi bi-check-circle text-success"></i>
        </p>
    </div>
    {% elif not status %}
    {% comment %} <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        hx-post="{% url 'scan_push_img' timestamp index %}"
        hx-swap="outerHTML"
    >
        <i class="bi bi-file-earmark-check"></i>
        Push page image
    </a> {% endcomment %}
    {% else %}
    <div hx-get="{% url 'scan_push_update' timestamp index %}" hx-trigger="every 1s" hx-swap="outerHTML">
        <div class="d-flex justify-content-center">
            <div class="spinner-border"></div>
        </div>
    </div>
    {% endif %}

    {% if not all_pushed and not in_progress %}
        {% if not status or status == 'complete' %}
        <a 
            class="btn text-start {{ disabled }}" 
            style="background-color: lightgrey;"
            hx-post="{% url 'scan_push_all' timestamp %}"
        >
            Push all ready pages
        </a>
        {% endif %}
    {% endif %}

{% else %}
<div></div>
{% endif %}